/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.1
 *
 * @date        2022-02-25
 *
 * @attention
 *
 *  Copyright (C) 2021-2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be usefull and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
  extern "C" {
#endif

#include "apm32f4xx.h"

enum
{
    FAILED = 0,
    PASSED = 1
};

enum 
{
    CAN_BAUD_125K = 0,
    CAN_BAUD_250K = 1,
    CAN_BAUD_500K = 2,
    CAN_BAUD_1M   = 3
};

void CAN1_RxIsr(void);
void CAN2_RxIsr(void);

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
