/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2022-03-11
 *
 * @attention
 *
 *  Copyright (C) 2021-2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be usefull and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
  extern "C" {
#endif

#include <stdio.h>
#include "Board.h"
#include "apm32f4xx.h"
#include "apm32f4xx_usart.h"
#include "apm32f4xx_dmc.h"

extern volatile uint32_t tick;
void Delay(void);
void DMC_SDRAM_8BitTest(void);
void DMC_SDRAM_16BitTest(void);
void DMC_SDRAM_32BitTest(void);

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
